package work

import (
	"github.com/robfig/cron"
	"server/modbus"
	"server/service"
)

func MyJob() {
	c := cron.New()

	_ = c.AddFunc("0 */2 * * * ?", func() {
		modbus.GetSunPowerInfo()
	})
	_ = c.AddFunc("0 * * * * ?", func() {
		service.Cron{}.RelayOnOffTimeTask()
		modbus.DealWithOffline()
	})
	c.Start()
}
