package dao

import "time"

type Device struct {
	ID          int          `json:"id"`
	Sn          string       `json:"sn"`
	RegionId    int          `json:"regionId"`
	Name        string       `json:"name"`
	Genre       string       `json:"genre"`
	State       int          `json:"state"`
	IsSun       bool         `json:"isSun"`
	LoopNumber  int          `json:"loopNumber"`
	OnlineTime  time.Time    `json:"onlineTime"`
	DeviceLoops []DeviceLoop `json:"deviceLoops"`
}
