package main

import (
	"fmt"
	"server/initialize"
	"server/router"
	"server/work"
)

func main() {
	initRouter := router.InitRouter()

	work.MyJob()
	initialize.InitInductanceTCP()
	err := initRouter.Run(":8222")
	if err != nil {
		fmt.Println("服务器启动失败！")
	}
}
